﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Configuration;
using System.Runtime.InteropServices;

namespace bsApex
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            webBrowser1.DocumentTitleChanged +=
            new EventHandler(webBrowser1_DocumentTitleChanged);

            this.Height = System.Convert.ToInt32(ConfigurationManager.AppSettings["aAltezza"]);
            this.Width = System.Convert.ToInt32(ConfigurationManager.AppSettings["aLarghezza"]);
            this.Text = ConfigurationManager.AppSettings["aTitolo"];
            esciToolStripButton.Text = ConfigurationManager.AppSettings["aChiudi"] + " " + ConfigurationManager.AppSettings["aTitoloBreve"];
            webBrowser1.Url = new Uri(ConfigurationManager.AppSettings["aIndirizzo"], UriKind.RelativeOrAbsolute);
            this.stampaToolStripButton.Text = ConfigurationManager.AppSettings["aStampa"];
            System.Drawing.Icon ico = new System.Drawing.Icon(ConfigurationManager.AppSettings["aIcona"]);
            this.Icon = ico ;
        }

        // Updates the title bar with the current document title.
        private void webBrowser1_DocumentTitleChanged(object sender, EventArgs e)
        {
            //this.Text = "bsApex by Beta Software snc - " + webBrowser1.DocumentTitle;
            //titoloPagina.Text = webBrowser1.DocumentTitle;
        }

        /// <summary>
        /// 
        /// </summary>
        /// <param name="e"></param>
        //protected override void OnFormClosing(FormClosingEventArgs e)
        //{
        //  string docTitle = webBrowser1.DocumentTitle;
        //    //MessageBox.Show(docTitle);
        //    switch (docTitle)
        //    {
        //        case "Login":
        //            e.Cancel = false;
        //            break;
        //        case "Esplorazione annullata":
        //            e.Cancel = false;
        //            break;
        //        case "Internet Explorer: impossibile visualizzare la pagina Web":
        //            e.Cancel = false;
        //            break;
        //        case "Errore":
        //            e.Cancel = false;
        //            break;
        //        case "Apache Tomcat/6.0.18 - Error report":
        //            e.Cancel = false;
        //            break;
        //        default:
        //            e.Cancel = true;
        //            break;
        //    }
        //}
 
        private void esciToolStripButton_Click(object sender, EventArgs e)
        {

            this.Close();

        }

        // Displays the Print Preview dialog box.
        private void stampaToolStripButton_Click(
            object sender, EventArgs e)
        {
            webBrowser1.ShowPrintPreviewDialog();
        }

        private void aboutButton_Click(object sender, EventArgs e)
        {
            AboutBox1 about = new AboutBox1();
            about.ShowDialog();
        }
    }

}
